You are not logged in.

#1 2013-01-14 18:10:51

ball
Member
From: Germany
Registered: 2011-12-23
Posts: 164

[SOLVED] error on upgrading darktable: "pre_remove: command not found"

Today I did an update via pacman -Syu and the only package to be updated was darktable. But when upgrading the following error occured:

(1/1) Überprüfe Paket-Integrität                             [#######################################] 100%
(1/1) Lade Paket-Dateien                                        [#######################################] 100%
(1/1) Prüfe auf Dateikonflikte                                  [#######################################] 100%
(1/1) Überprüfe verfügbaren Festplattenspeicher   [#######################################] 100%
/tmp/alpm_87q8x2/.INSTALL: Zeile 6: pre_remove: Kommando nicht gefunden.
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(1/1) Aktualisiere darktable                                     [#######################################] 100%

Translated to English the three last lines of out go as:

/tmp/alpm_87q8x2/.INSTALL: line 6: pre_remove: command not found
error: command failed to execute correctly
(1/1)  upgrading darktable                                     [#######################################] 100%

The directory /tmp/alpm_87q8x2 doesn't exist anymore.

What should I do now?

Last edited by ball (2013-01-16 12:45:53)

Online

#2 2013-01-14 19:00:45

roentgen
Member
Registered: 2011-03-15
Posts: 89

Re: [SOLVED] error on upgrading darktable: "pre_remove: command not found"

Looking at https://projects.archlinux.org/svntogit … /darktable it seems to execute 'update-desktop-database' which is owned by the 'desktop-file-utils' package.

Offline

#3 2013-01-14 19:02:37

tdy
Member
From: Sacremende
Registered: 2008-12-14
Posts: 438

Re: [SOLVED] error on upgrading darktable: "pre_remove: command not found"

ball wrote:

What should I do now?

It should be fine. pre_upgrade calls a non-existant pre_remove, but it doesn't look like there was anything critical that would have been done anyway.

post_install() {
  [ -x `which update-desktop-database 2>/dev/null` ] &&  update-desktop-database -q
}

pre_upgrade() {
  pre_remove
}

post_upgrade() {
  post_install
}

post_remove() {
  [ -x `which update-desktop-database 2>/dev/null` ] &&  update-desktop-database -q
}

dots (or just the awesomewm config)

$ whatis this?
this?: nothing appropriate.

Offline

#4 2013-01-16 12:44:56

ball
Member
From: Germany
Registered: 2011-12-23
Posts: 164

Re: [SOLVED] error on upgrading darktable: "pre_remove: command not found"

Seems that the command which caused the error has been removed: https://projects.archlinux.org/svntogit … b8c8565719

Marking as solved.

Online

#5 2013-01-16 16:56:27

tdy
Member
From: Sacremende
Registered: 2008-12-14
Posts: 438

Re: [SOLVED] error on upgrading darktable: "pre_remove: command not found"

Yes I forgot to link the bug report here - https://bugs.archlinux.org/task/33394

For future reference, that's the quickest way to resolve issues like this. There's no guarantee of Sergej reading the forums or seeing this thread.

Last edited by tdy (2013-01-16 17:39:18)


dots (or just the awesomewm config)

$ whatis this?
this?: nothing appropriate.

Offline

Board footer

Powered by FluxBB